var e = require("../../common/vendor.js"),
  t = require("../../utils/navigate.js");
Array || e.resolveComponent("uni-popup")(), Math;
var n = {
    __name: "index",
    props: {
      visible: { type: Boolean, default: !1 },
      title: { type: String, default: "" },
    },
    emits: ["close"],
    setup: function (n, o) {
      var i = o.emit,
        r = n,
        s = e.ref(null);
      e.watch(
        function () {
          return r.visible;
        },
        function () {
          r.visible ? s.value.open() : s.value.close();
        }
      );
      var a = function (e) {
          e.show || i("close");
        },
        u = function () {
          i("close");
        },
        c = function () {
          i("close"), t.switchTab({ url: "/pages/order-list/index" });
        };
      return function (t, o) {
        return {
          a: e.t(n.title),
          b: e.o(c),
          c: e.o(u),
          d: e.sr(s, "149b6e75-0", { k: "popup" }),
          e: e.o(a),
          f: e.p({ type: "center", animation: !0, "is-mask-click": !1 }),
        };
      };
    },
  },
  o = e._export_sfc(n, [["__scopeId", "data-v-149b6e75"]]);
wx.createComponent(o);
